package com.pcloud.book.keywords.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author lily
 * @date 2019/4/23 15:27
 */
@ApiModel
public class UpdateGuideVO implements Serializable {

    @ApiModelProperty("欢迎语标识")
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @ApiModelProperty("是否推荐公众号（0 不推荐 1推荐）")
    private Integer isRecommend;

    @ApiModelProperty("推荐语")
    private String recommendLanguage;

    @ApiModelProperty("回复消息")
    private List<ReplyMessageVO> replyMessages;

    public Integer getIsRecommend() {
        return isRecommend;
    }

    public void setIsRecommend(Integer isRecommend) {
        this.isRecommend = isRecommend;
    }

    public String getRecommendLanguage() {
        return recommendLanguage;
    }

    public void setRecommendLanguage(String recommendLanguage) {
        this.recommendLanguage = recommendLanguage;
    }

    public List<ReplyMessageVO> getReplyMessages() {
        return replyMessages;
    }

    public void setReplyMessages(List<ReplyMessageVO> replyMessages) {
        this.replyMessages = replyMessages;
    }

    @Override
    public String toString() {
        return "UpdateGuideVO{" +
                "id=" + id +
                ", isRecommend=" + isRecommend +
                ", recommendLanguage='" + recommendLanguage + '\'' +
                ", replyMessages=" + replyMessages +
                '}';
    }
}
